Package org.bgerp.dao.param

# Class ParamValueDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.ParamValueDAO

Direct Known Subclasses:
  `ParamValueDAO`

public class ParamValueDAO extends CommonDAO
Parameter values DAO. The primary required public methods are sorted alphabetically. Dependency methods even public, called by those, are placed directly after the first usage.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `COPY_PARAMS_SEPARATORS`
  `static final String[]`
  `TABLE_NAMES`

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamValueDAO(Connection con)`
  `ParamValueDAO(Connection con, boolean history, int userId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `copyParam(int fromObjectId, int toObjectId, int paramId)`
  Копирует параметр с объекта на объект.
  `void`
  `copyParam(int fromObjectId, int fromParamId, int toObjectId, int toParamId)`
  Копирует параметр с объекта на объект.
  `void`
  `copyParams(int fromObjectId, int toObjectId, String copyMapping)`
  Копирует параметры с объекта на другой объект по указанной конфигурации.
  `void`
  `copyParams(int fromObjectId, int toObjectId, Collection<Integer> paramIds)`
  Копирует параметры с объекта на объект
  `void`
  `deleteParams(String objectType, int id)`
  Удаляет параметры объекта.
  `SortedMap<Integer,ParameterAddressValue>`
  `getParamAddress(int id, int paramId)`
  Возвращает значения адресного параметра объекта.
  `SortedMap<Integer,ParameterAddressValue>`
  `getParamAddress(int id, int paramId, boolean loadDirs)`
  Возвращает значения адресного параметра объекта.
  `SortedMap<Integer,ParameterAddressValue>`
  `getParamAddress(int id, int paramId, boolean loadDirs, String formatName)`
  Возвращает значения адресного параметра объекта.
  `ParameterAddressValue`
  `getParamAddress(int id, int paramId, int position)`
  Возвращает адресный параметр объекта.
  `String`
  `getParamBlob(int id, int paramId)`
  Selects a value for parameter type 'blob'.
  `Date`
  `getParamDate(int id, int paramId)`
  Selects a value for parameter type 'date'.
  `Date`
  `getParamDateTime(int id, int paramId)`
  Selects a value for parameter type 'datetime'.
  `SortedMap<Integer,ParameterEmailValue>`
  `getParamEmail(int id, int paramId)`
  Selects values for parameter type 'email'.
  `ParameterEmailValue`
  `getParamEmail(int id, int paramId, int position)`
  Deprecated.
  `SortedMap<Integer,FileData>`
  `getParamFile(int id, int paramId)`
  Selects values for parameter type 'file'.
  `FileData`
  `getParamFile(int id, int paramId, int position)`
  Selects a value for parameter type 'file'.
  `Set<Integer>`
  `getParamList(int id, int paramId)`
  Selects a parameter value with type 'list'.
  `Map<Integer,BigDecimal>`
  `getParamListCount(int id, int paramId)`
  Selects a parameter value with type 'listcount'.
  `List<IdTitle>`
  `getParamListCountWithTitles(int id, int paramId)`
  Deprecated.
  `Map<Integer,String>`
  `getParamListWithComments(int id, int paramId)`
  Selects a parameter value with type 'list' с комментариями значений.
  `List<IdTitle>`
  `getParamListWithTitles(int id, int paramId)`
  Deprecated.
  `List<IdTitleComment>`
  `getParamListWithTitlesAndComments(int id, int paramId)`
  Deprecated.
  `BigDecimal`
  `getParamMoney(int id, int paramId)`
  Selects a parameter value with type 'money'.
  `ParameterPhoneValue`
  `getParamPhone(int id, int paramId)`
  Selects a parameter value with type 'phone'.
  `static ParameterPhoneValueItem`
  `getParamPhoneValueItemFromRs(ResultSet rs)`
  `String`
  `getParamText(int id, int paramId)`
  Selects a value of parameter type 'text'.
  `Set<String>`
  `getParamTree(int id, int paramId)`
  Selects a parameter value with type 'tree'.
  `Map<String,BigDecimal>`
  `getParamTreeCount(int id, int paramId)`
  Selects parameter values with type 'treecount'.
  `List<IdStringTitle>`
  `getParamTreeWithTitles(int id, int paramId)`
  Deprecated.
  `boolean`
  `isParameterFilled(int id, Parameter param)`
  Проверяет заполненость параметра для объекта с кодом id.
  `List<ParameterValue>`
  `loadParameters(List<Parameter> paramList, int id, boolean offEncryption)`
  Loads parameter's values.
  `void`
  `objectIdInvert(String objectType, int currentObjectId)`
  Переносит параметры при с кода объекта на -код объекта.
  `Map<Integer,ParameterValue>`
  `parameters(Id object)`
  Loads parameters for `Customer`, `Process`, `User` or `AddressHouse`.
  `void`
  `updateParamAddress(int id, int paramId, int position, ParameterAddressValue value)`
  Updates, appends and deletes an address parameter value.
  `void`
  `updateParamBlob(int id, int paramId, String value)`
  Updates value for parameter type 'blob'
  `void`
  `updateParamDate(int id, int paramId, Date value)`
  Updates value for parameter type 'date'
  `void`
  `updateParamDateTime(int id, int paramId, Date value)`
  Updates value for parameter type 'datetime'
  `void`
  `updateParamEmail(int id, int paramId, int position, ParameterEmailValue value)`
  Updates values for parameter type 'email'
  `void`
  `updateParamEmail(int id, int paramId, List<ParameterEmailValue> values)`
  Updates values for parameter type 'email'
  `void`
  `updateParamFile(int id, int paramId, int position, String comment, FileData fileData)`
  Deprecated.
  `void`
  `updateParamFile(int id, int paramId, int position, FileData fileData)`
  Updates values for parameter type 'file'
  `void`
  `updateParamList(int id, int paramId, Map<Integer,String> values)`
  Deprecated.
  `void`
  `updateParamList(int id, int paramId, Set<Integer> values)`
  Updates values without comments for parameter type 'list'
  `void`
  `updateParamListCount(int id, int paramId, Map<Integer,?> values)`
  Updates values for parameter type 'listcount'
  `void`
  `updateParamListCount(int id, int paramId, Map<Integer,Double> values, Map<Integer,String> valuesComments)`
  Deprecated.
  `void`
  `updateParamListWithComments(int id, int paramId, Map<Integer,String> values)`
  Updates values with comments for parameter type 'list'
  `void`
  `updateParamMoney(int id, int paramId, String value)`
  Updates value for parameter type 'money'
  `void`
  `updateParamMoney(int id, int paramId, BigDecimal value)`
  Updates value for parameter type 'money'
  `void`
  `updateParamPhone(int id, int paramId, ParameterPhoneValue value)`
  Updates values for parameter type 'phone'
  `void`
  `updateParamsAddressOnHouseUpdate(int houseId)`
  Обновляет строки адресных параметров для дома.
  `void`
  `updateParamText(int id, int paramId, String value)`
  Updates value for parameter type 'text'
  `void`
  `updateParamTree(int id, int paramId, Set<String> values)`
  Updates values for parameter type 'tree'
  `void`
  `updateParamTreeCount(int id, int paramId, Map<String,BigDecimal> values)`
  Updates values for parameter type 'treecount'

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TABLE_NAMES

    public static final String[] TABLE_NAMES

  - ### COPY_PARAMS_SEPARATORS

    public static final String COPY_PARAMS_SEPARATORS
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ParamValueDAO

    public ParamValueDAO(Connection con)

  - ### ParamValueDAO

    public ParamValueDAO(Connection con, boolean history, int userId)

- ## Method Details

  - ### copyParam

    public void copyParam(int fromObjectId, int toObjectId, int paramId) throws SQLException, BGException
    Копирует параметр с объекта на объект.
    Parameters:
      `fromObjectId` - object ID исходного.
      `toObjectId` - object ID целевого.
      `paramId` - коды параметра.
    Throws:
      `SQLException`
      `BGException`

  - ### copyParam

    public void copyParam(int fromObjectId, int fromParamId, int toObjectId, int toParamId) throws SQLException, BGException
    Копирует параметр с объекта на объект. Параметры должны быть одного типа.
    Parameters:
      `fromObjectId` - object ID исходного.
      `fromParamId` - param ID исходного.
      `toObjectId` - object ID целевого
      `toParamId` - param ID целевого.
    Throws:
      `SQLException`
      `BGException`

  - ### copyParams

    public void copyParams(int fromObjectId, int toObjectId, String copyMapping) throws SQLException, BGException
    Копирует параметры с объекта на другой объект по указанной конфигурации.
    Parameters:
      `fromObjectId` - исходный объект.
      `toObjectId` - целевой объект.
      `copyMapping` - конфигурация.
    Throws:
      `SQLException`
      `BGException`

  - ### copyParams

    public void copyParams(int fromObjectId, int toObjectId, Collection<Integer> paramIds) throws SQLException, BGException
    Копирует параметры с объекта на объект
    Parameters:
      `fromObjectId` - object ID исходного.
      `toObjectId` - object ID целевого.
      `paramIds` - коды параметров.
    Throws:
      `SQLException`
      `BGException`

  - ### deleteParams

    public void deleteParams(String objectType, int id) throws SQLException
    Удаляет параметры объекта.
    Parameters:
      `objectType` - тип объекта.
      `id` - object ID
    Throws:
      `SQLException`

  - ### getParamAddress

    public ParameterAddressValue getParamAddress(int id, int paramId, int position) throws SQLException
    Возвращает адресный параметр объекта.
    Parameters:
      `id` - - код объекта.
      `paramId` - - param ID.
      `position` - - позиция, начиная от 1, если в параметре установлены несколько значений.
    Returns:
    Throws:
      `SQLException`

  - ### getParamAddress

    public SortedMap<Integer,ParameterAddressValue> getParamAddress(int id, int paramId) throws SQLException
    Возвращает значения адресного параметра объекта.
    Parameters:
      `id` - - код объекта.
      `paramId` - - param ID.
    Returns:
      ключ - позиция, значение - значение на позиции.
    Throws:
      `SQLException`

  - ### getParamAddress

    public SortedMap<Integer,ParameterAddressValue> getParamAddress(int id, int paramId, boolean loadDirs) throws SQLException
    Возвращает значения адресного параметра объекта.
    Parameters:
      `id` - - код объекта.
      `paramId` - - param ID.
      `loadDirs` - - признак необходимости загрузить справочники, чтобы был корректно заполнен `ParameterAddressValue.getHouse()`/
    Returns:
      ключ - позиция, значение - значение на позиции.
    Throws:
      `SQLException`

  - ### getParamAddress

    public SortedMap<Integer,ParameterAddressValue> getParamAddress(int id, int paramId, boolean loadDirs, String formatName) throws SQLException
    Возвращает значения адресного параметра объекта.
    Parameters:
      `id` - - код объекта.
      `paramId` - - param ID.
      `loadDirs` - - признак необходимости загрузить справочники, чтобы был корректно заполнен `ParameterAddressValue.getHouse()`.
      `formatName` - - наименование формата адреса из конфигурации, с помощью которого форматировать значение адреса.
    Returns:
      ключ - позиция, значение - значение на позиции.
    Throws:
      `SQLException`

  - ### getParamBlob

    public String getParamBlob(int id, int paramId) throws SQLException
    Selects a value for parameter type 'blob'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamDate

    public Date getParamDate(int id, int paramId) throws SQLException
    Selects a value for parameter type 'date'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamDateTime

    public Date getParamDateTime(int id, int paramId) throws SQLException
    Selects a value for parameter type 'datetime'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamEmail

    public SortedMap<Integer,ParameterEmailValue> getParamEmail(int id, int paramId) throws SQLException
    Selects values for parameter type 'email'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      key - param value position, value - a value itself.
    Throws:
      `SQLException`

  - ### getParamFile

    public FileData getParamFile(int id, int paramId, int position) throws SQLException
    Selects a value for parameter type 'file'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `position` - position number for multiple values.
    Returns:
    Throws:
      `SQLException`

  - ### getParamFile

    public SortedMap<Integer,FileData> getParamFile(int id, int paramId) throws SQLException
    Selects values for parameter type 'file'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      map with key equals value's position.
    Throws:
      `SQLException`

  - ### getParamList

    public Set<Integer> getParamList(int id, int paramId) throws SQLException
    Selects a parameter value with type 'list'.
    Parameters:
      `id` - object ID
      `paramId` -
    Returns:
      Set с кодами значений.
    Throws:
      `SQLException`

  - ### getParamListWithComments

    public Map<Integer,String> getParamListWithComments(int id, int paramId) throws SQLException
    Selects a parameter value with type 'list' с комментариями значений.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      ключ - код значения, значение - комментарий.
    Throws:
      `SQLException`

  - ### getParamListCount

    public Map<Integer,BigDecimal> getParamListCount(int id, int paramId) throws SQLException
    Selects a parameter value with type 'listcount'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      a map with key equals value IDs and values counts.
    Throws:
      `SQLException`

  - ### getParamMoney

    public BigDecimal getParamMoney(int id, int paramId) throws SQLException
    Selects a parameter value with type 'money'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      the value or `null`.
    Throws:
      `SQLException`

  - ### getParamPhone

    public ParameterPhoneValue getParamPhone(int id, int paramId) throws SQLException
    Selects a parameter value with type 'phone'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      the value or `null`.
    Throws:
      `SQLException`

  - ### getParamPhoneValueItemFromRs

    public static ParameterPhoneValueItem getParamPhoneValueItemFromRs(ResultSet rs) throws SQLException
    Throws:
      `SQLException`

  - ### getParamText

    public String getParamText(int id, int paramId) throws SQLException
    Selects a value of parameter type 'text'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamTree

    public Set<String> getParamTree(int id, int paramId) throws SQLException
    Selects a parameter value with type 'tree'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      набор значений.
    Throws:
      `SQLException`

  - ### getParamTreeCount

    public Map<String,BigDecimal> getParamTreeCount(int id, int paramId) throws SQLException
    Selects parameter values with type 'treecount'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
      map with a key equal to the parameter value ID, and the value - value amount (count).
    Throws:
      `SQLException`

  - ### isParameterFilled

    public boolean isParameterFilled(int id, Parameter param) throws Exception
    Проверяет заполненость параметра для объекта с кодом id.
    Parameters:
      `id` - object ID
      `param` - параметр.
    Returns:
    Throws:
      `Exception`

  - ### objectIdInvert

    public void objectIdInvert(String objectType, int currentObjectId) throws SQLException
    Переносит параметры при с кода объекта на -код объекта. Используется при преобразовании не созданного до конца процесса с отрицательным кодом в созданный.
    Parameters:
      `objectType` -
      `currentObjectId` -
    Throws:
      `SQLException`

  - ### parameters

    public Map<Integer,ParameterValue> parameters(Id object) throws SQLException
    Loads parameters for `Customer`, `Process`, `User` or `AddressHouse`.
    Parameters:
      `object` - customer or process.
    Returns:
    Throws:
      `SQLException`

  - ### updateParamAddress

    public void updateParamAddress(int id, int paramId, int position, ParameterAddressValue value) throws SQLException
    Updates, appends and deletes an address parameter value.
    Parameters:
      `id` - - entity ID.
      `paramId` - - param ID.
      `position` - - starting from 1 value's position, 0 - appends a value with position MAX+1.
      `value` - - the value, `null` - delete value from the position if `position` > 0, else delete all the values.
    Throws:
      `SQLException`

  - ### updateParamsAddressOnHouseUpdate

    public void updateParamsAddressOnHouseUpdate(int houseId) throws SQLException
    Обновляет строки адресных параметров для дома. Используется после изменений в адресных справочников, для генерации корректных строк с адресными параметрами.
    Parameters:
      `houseId` - код дома.
    Throws:
      `SQLException`

  - ### updateParamBlob

    public void updateParamBlob(int id, int paramId, String value) throws SQLException
    Updates value for parameter type 'blob'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - значение, null или пустая строка - удалить значение.
    Throws:
      `SQLException`

  - ### updateParamDate

    public void updateParamDate(int id, int paramId, Date value) throws SQLException
    Updates value for parameter type 'date'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - the value, `null` - delete
    Throws:
      `SQLException`

  - ### updateParamDateTime

    public void updateParamDateTime(int id, int paramId, Date value) throws SQLException
    Updates value for parameter type 'datetime'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - the value, `null` - delete
    Throws:
      `SQLException`

  - ### updateParamEmail

    public void updateParamEmail(int id, int paramId, List<ParameterEmailValue> values) throws SQLException
    Updates values for parameter type 'email'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `values` - the values, `null` or empty - delete values in DB
    Throws:
      `SQLException`

  - ### updateParamEmail

    public void updateParamEmail(int id, int paramId, int position, ParameterEmailValue value) throws SQLException
    Updates values for parameter type 'email'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `position` - values' position, starting from 1, `0` add a new value with position `MAX + 1`
      `value` - the value, `null` delete the values from the `position` more than 0, delete all values if `position` is 0
    Throws:
      `SQLException`

  - ### updateParamFile

    public void updateParamFile(int id, int paramId, int position, FileData fileData) throws Exception
    Updates values for parameter type 'file'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `position` - position for multiple values, when is 0 - adding with new positions
      `fileData` - value for the given position, if `null` - removes a value from the position or all values with `position` == -1
    Throws:
      `Exception`

  - ### updateParamList

    public void updateParamList(int id, int paramId, Set<Integer> values) throws SQLException
    Updates values without comments for parameter type 'list'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `values` - the values
    Throws:
      `SQLException`

  - ### updateParamListWithComments

    public void updateParamListWithComments(int id, int paramId, Map<Integer,String> values) throws SQLException
    Updates values with comments for parameter type 'list'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `values` - the values map, keys represent values, values - comments
    Throws:
      `SQLException`

  - ### updateParamListCount

    public void updateParamListCount(int id, int paramId, Map<Integer,?> values) throws SQLException
    Updates values for parameter type 'listcount'
    Parameters:
      `id` - entity ID
      `paramId` - param ID
      `values` - map with key = value ID, and values with possible types: `String`, `BigDecimal`
    Throws:
      `SQLException`

  - ### updateParamMoney

    public void updateParamMoney(int id, int paramId, BigDecimal value) throws SQLException
    Updates value for parameter type 'money'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - the value, when `null` - delete
    Throws:
      `SQLException`

  - ### updateParamMoney

    public void updateParamMoney(int id, int paramId, String value) throws SQLException
    Updates value for parameter type 'money'
    Parameters:
      `id` - object ID
      `paramId` - parm ID.
      `value` - the value, when `null` or a blank string - delete
    Throws:
      `SQLException`

  - ### updateParamPhone

    public void updateParamPhone(int id, int paramId, ParameterPhoneValue value) throws SQLException
    Updates values for parameter type 'phone'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - the values, `null` or empty `itemList` - delete values
    Throws:
      `SQLException`

  - ### updateParamText

    public void updateParamText(int id, int paramId, String value) throws SQLException
    Updates value for parameter type 'text'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `value` - the value, `null` or emtpy string - delete value
    Throws:
      `SQLException`

  - ### updateParamTree

    public void updateParamTree(int id, int paramId, Set<String> values) throws SQLException
    Updates values for parameter type 'tree'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `values` - the values, `null` or empty set - delete values
    Throws:
      `SQLException`

  - ### updateParamTreeCount

    public void updateParamTreeCount(int id, int paramId, Map<String,BigDecimal> values) throws SQLException
    Updates values for parameter type 'treecount'
    Parameters:
      `id` - object ID
      `paramId` - param ID
      `values` - the values map (key - treecount value ID, value - 'count'), `null` or emtpy map - delete values
    Throws:
      `SQLException`

  - ### loadParameters

    public List<ParameterValue> loadParameters(List<Parameter> paramList, int id, boolean offEncryption) throws SQLException
    Loads parameter's values.
    Parameters:
      `paramList` - parameters list.
      `id` - entity id.
      `offEncryption` - decrypt pseudo encrypted values.
    Throws:
      `SQLException`

  - ### getParamEmail

    @Deprecated public ParameterEmailValue getParamEmail(int id, int paramId, int position) throws SQLException
    Deprecated.
    Selects a value for parameter type 'email'.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamListWithTitles

    @Deprecated public List<IdTitle> getParamListWithTitles(int id, int paramId) throws SQLException
    Deprecated.
    Selects a parameter value with type 'list' с наименованиями значений.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamListWithTitlesAndComments

    @Deprecated public List<IdTitleComment> getParamListWithTitlesAndComments(int id, int paramId) throws SQLException
    Deprecated.
    Selects a parameter value with type 'list' с наименованиями значений и примечаниями.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamListCountWithTitles

    @Deprecated public List<IdTitle> getParamListCountWithTitles(int id, int paramId) throws SQLException
    Deprecated.
    Selects a parameter value with type 'listcount' с наименованиями значений.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### getParamTreeWithTitles

    @Deprecated public List<IdStringTitle> getParamTreeWithTitles(int id, int paramId) throws SQLException
    Deprecated.
    Значения параметра объекта типа 'tree' с текстовыми наименованиями.
    Parameters:
      `id` - object ID
      `paramId` - param ID
    Returns:
    Throws:
      `SQLException`

  - ### updateParamFile

    @Deprecated public void updateParamFile(int id, int paramId, int position, String comment, FileData fileData) throws Exception
    Deprecated.
    Use `updateParamFile(int, int, int, FileData)`
    Throws:
      `Exception`

  - ### updateParamList

    @Deprecated public void updateParamList(int id, int paramId, Map<Integer,String> values) throws SQLException
    Deprecated.
    Throws:
      `SQLException`

  - ### updateParamListCount

    @Deprecated public void updateParamListCount(int id, int paramId, Map<Integer,Double> values, Map<Integer,String> valuesComments) throws SQLException
    Deprecated.
    Использовать `updateParamListCount(int, int, Map)`.
    Throws:
      `SQLException`